curl --request POST \
--url https://api.example.com/v2/account/payment-session/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "<string>",
"paymentOptions": [
{
"amount": 123,
"currency": "<string>",
"paymentMethod": "<string>"
}
],
"outputCurrency": "<string>",
"linkExpirationValue": 123,
"appearance": {
"accent": "<string>",
"accentForeground": "<string>",
"background": "<string>",
"border": "<string>",
"card": "<string>",
"destructive": "<string>",
"foreground": "<string>",
"input": "<string>",
"locale": "<string>",
"logoUrl": "<string>",
"mutedForeground": "<string>",
"popover": "<string>",
"primary": "<string>",
"primaryForeground": "<string>",
"radius": "<string>",
"ring": "<string>",
"secondary": "<string>",
"secondaryForeground": "<string>",
"showBrlaLogo": true,
"showPoweredBy": true,
"widgetBackground": "<string>"
}
}
'